列出 educationUser 的学校
本文内容
命名空间:microsoft.graph
检索用户所在的学校列表。
注意: 如果使用委派令牌,成员只能看到有关自己学校的信息。 在这种情况下,使用 ...v1.0/education/me/schools 资源。
权限
要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限 。
权限类型
权限(从最低特权到最高特权)
委派(工作或学校帐户)
EduRoster.ReadBasic
委派(个人 Microsoft 帐户)
不支持。
应用程序
EduRoster.Read.All、EduRoster.ReadWrite.All
HTTP 请求
GET /education/me/schools
GET /education/users/{educationUserId}/schools
可选的查询参数
此方法支持 OData 查询参数 来帮助自定义响应。
标头
值
Authorization
Bearer {token}。必需。
请求正文
请勿提供此方法的请求正文。
响应
如果成功,此方法会在响应正文中返回 200 OK 响应代码和 educationSchool 对象的集合。
示例
请求
下面展示了示例请求。
GET https://graph.microsoft.com/v1.0/education/me/schools
GraphServiceClient graphClient = new GraphServiceClient( authProvider );
var schools = await graphClient.Education.Me.Schools
.Request()
.GetAsync();
有关如何将 SDK 添加 到项目并 创建 authProvider 实例的 详细信息,请参阅 SDK 文档 。
const options = {
authProvider,
};
const client = Client.init(options);
let schools = await client.api('/education/me/schools')
.get();
有关如何将 SDK 添加 到项目并 创建 authProvider 实例的 详细信息,请参阅 SDK 文档 。
MSHTTPClient *httpClient = [MSClientFactory createHTTPClientWithAuthenticationProvider:authenticationProvider];
NSString *MSGraphBaseURL = @"https://graph.microsoft.com/v1.0/";
NSMutableURLRequest *urlRequest = [NSMutableURLRequest requestWithURL:[NSURL URLWithString:[MSGraphBaseURL stringByAppendingString:@"/education/me/schools"]]];
[urlRequest setHTTPMethod:@"GET"];
MSURLSessionDataTask *meDataTask = [httpClient dataTaskWithRequest:urlRequest
completionHandler: ^(NSData *data, NSURLResponse *response, NSError *nserror) {
NSError *jsonError = nil;
MSCollection *collection = [[MSCollection alloc] initWithData:data error:&jsonError];
MSGraphEducationSchool *educationSchool = [[MSGraphEducationSchool alloc] initWithDictionary:[[collection value] objectAtIndex: 0] error:&nserror];
}];
[meDataTask execute];
有关如何将 SDK 添加 到项目并 创建 authProvider 实例的 详细信息,请参阅 SDK 文档 。
GraphServiceClient graphClient = GraphServiceClient.builder().authenticationProvider( authProvider ).buildClient();
EducationSchoolCollectionWithReferencesPage schools = graphClient.education().me().schools()
.buildRequest()
.get();
有关如何将 SDK 添加 到项目并 创建 authProvider 实例的 详细信息,请参阅 SDK 文档 。
//THE GO SDK IS IN PREVIEW. NON-PRODUCTION USE ONLY
graphClient := msgraphsdk.NewGraphServiceClient(requestAdapter)
result, err := graphClient.Education().Me().Schools().Get()
有关如何将 SDK 添加 到项目并 创建 authProvider 实例的 详细信息,请参阅 SDK 文档 。
响应
下面展示了示例响应。
注意: 为了提高可读性,可能缩短了此处显示的响应对象。
HTTP/1.1 200 OK
Content-type: application/json
{
"value": [
{
"id": "10001",
"displayName": "Contoso High School",
"description": "Public 9-12 high school",
"status": "active",
"externalSource": "sis",
"principalEmail": "amyr@contoso.com",
"principalName": "Amy Roebuck",
"externalPrincipalId": "14007",
"highestGrade": "12",
"lowestGrade": "9",
"schoolNumber": "10001",
"address": {
"city": "Los Angeles",
"countryOrRegion": "United States",
"postalCode": "98055",
"state": "CA",
"street": "12345 Main St."
},
"createdBy": {
"user": {
"displayName": "Susana Rocha",
"id": "14012",
}
},
"externalId": "10001",
"phone": "+1 (253) 555-0102",
}
]
}